Last modified: 2010-04-11 19:24:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15357 - Redirect dk.wiktionary and dk.wikibooks to da.wiktionary and da.wikibooks respectively.
Redirect dk.wiktionary and dk.wikibooks to da.wiktionary and da.wikibooks res...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
DNS (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch, shell
Depends on:
Blocks: wikis-to-rename
  Show dependency treegraph
 
Reported: 2008-08-28 20:08 UTC by spacebirdy
Modified: 2010-04-11 19:24 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch for redirects.conf (825 bytes, patch)
2009-12-21 14:49 UTC, Platonides
Details

Description spacebirdy 2008-08-28 20:08:00 UTC
Please could the links
http://dk.wiktionary.org
and
http://dk.wikibooks.org
be made redirects to
http://da.wiktionary.org
and
http://da.wikibooks.org

like
http://dk.wikipedia.org to http://da.wikipedia.org

Many thanks in advance for Your help
Comment 1 Mike.lifeguard 2009-06-27 22:50:57 UTC
Do you want the whole domain to redirect, or just those particular URIs?

I think we use DNS component for this.
Comment 2 Platonides 2009-12-21 14:49:30 UTC
Created attachment 6897 [details]
Patch for redirects.conf

Adding patch for redirects.conf
Now you need a sysadmin to apply it.
Comment 3 JeLuF 2010-04-09 05:06:44 UTC
Done.
Comment 4 Gerard Meijssen 2010-04-11 14:59:07 UTC
The dk code refers to Denmark the country. Given that the codes we use are about languages and not countries, the correct resolution is by removing the dk code in DNS for the Danish language wikipedia.
Thanks,
    GerardM
Comment 5 River Tarnell 2010-04-11 19:01:42 UTC
There's nothing wrong with having a redirect.  Someone looking for the Danish Wikiwhatever could quite understandably assume it's dk, not da.  (da/dk is one of the few cases where country and language don't match.)  Redirecting the user to the correct site is much more useful than giving an error message.
Comment 6 Gerard Meijssen 2010-04-11 19:19:22 UTC
We have too many names that are plain incorrect. It is really not acceptable.
Thanks,
    GerardM
Comment 7 Roan Kattouw 2010-04-11 19:24:56 UTC
(In reply to comment #6)
> We have too many names that are plain incorrect. It is really not acceptable.
> Thanks,
>     GerardM
Redirecting dk->da where dk is not a valid language code but is commonly mistaken for Danish seems perfectly acceptable to me. We shouldn't pedantically adhere to ISO-639 to the point of actually inconveniencing users as described in comment #5.

Please don't reopen this bug again; any further discussion should be taken off Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links